Subject: Naming of ContentElementWrapper and InlineEditableWrapper
Description

Aske provides me a wonderfull example how to make pageproperties inlineeditable. [[
https://gist.github.com/aertmann/f9c8a33e8720f7cb21be]]
What i mentioned is, that in this case the naming of the viewhelpers doesnt realy match the usecase.
Better rename them from - to?
<neos:contentElement.wrap node="{node}"> to <neos:node.wrap node="{node}">
<neos:contentElement.editable property="title" tag="h1" /> to <neos:node.editable.property property="title" tag="h1" />

Carsten

History
#1 - 2014-05-07 21:51 - Aske Ertmann

Makes sense. Could be done non-breaking by renaming to the new names and keeping the old names which just extend the new ones..

#2 - 2014-10-01 22:02 - Lienhart Woitok
- Assigned To set to Lienhart Woitok

#3 - 2014-10-01 22:05 - Lienhart Woitok
- Status changed from New to Closed
- Assigned To deleted (Lienhart Woitok)

Moved to JIRA: https://jira.typo3.org/browse/NEOS-486
